Page MenuHomePhabricator

Replace the check for $wgVisualEditorSupportedSkins with a check for something in the skin itself
Closed, ResolvedPublic8 Story Points

Description

Essentially, let the skin developers change the skin to meet the requirements and be done with it. Don't make the users also have to edit localsettings.php after that fact. That's just silly.

Possibilities:

  • Do a check for all the elements we expect a skin to provide (since it should at least be functional at the point)
  • Add a hook for the skin to register itself as definitely compatible (basically like the current approach, but moves the responsibility from the skin user to the skin developer)
  • ...

Details

Related Gerrit Patches:

Event Timeline

Isarra created this task.Mar 25 2017, 6:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2017, 6:27 AM

This is important; I want to use VE and I have like eight skins I need to make it work with.

matmarex claimed this task.Mar 28 2017, 5:04 PM
Jdforrester-WMF triaged this task as Low priority.Mar 28 2017, 5:07 PM
Jdforrester-WMF set the point value for this task to 8.

Change 345207 had a related patch set uploaded (by Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Replace $wgVisualEditorSupportedSkins with a check for required elements

https://gerrit.wikimedia.org/r/345207

Jdforrester-WMF closed this task as Resolved.Mar 29 2017, 11:03 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 29 2017, 11:03 PM

Change 345207 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Replace $wgVisualEditorSupportedSkins with a check for required elements

https://gerrit.wikimedia.org/r/345207

VisualEditor will now check for the presence of:

  • '#content' to attach our interface (toolbar etc.)
  • '#mw-content-text' to replace with the editing surface
  • '#ca-edit' to start up the editor

And try to initialize if these are present.

This is documented at https://www.mediawiki.org/wiki/VisualEditor/Skin_requirements.